Bug 198013 - Review Request: perl-POE-Component-Child
Review Request: perl-POE-Component-Child
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-07 21:06 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-09 15:03:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-07 21:06:23 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Child.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Child-1.39-0.fc5.src.rpm

Description:
This POE component serves as a wrapper for POE::Wheel::Run, obviating
the need to create a session to receive the events it dishes out.
Comment 1 Ralf Corsepius 2006-07-07 21:41:24 EDT
Trying to access the URL above gives:

Page URL Not Found!!

The requested page does not exist on this server. The URL you typed or followed
is either outdated or inaccurate.
Comment 2 Chris Weyl 2006-07-07 21:49:22 EDT
My bad; fixed.
Comment 3 Jason Tibbitts 2006-07-08 00:19:02 EDT
This package seems to be under the GPL only.
The version in your changelog entry is a bit odd ("-0"), causing rpmlint
indigestion:
  W: perl-POE-Component-Child incoherent-version-in-changelog -0 1.39-0.fc6

Review:
* source files match upstream:
   35827260ad62e9d1bcbf74ada943deb9  POE-Component-Child-1.39.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
X license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
O BuildRequires are proper (BR: perl is not required)
* %clean is present.
* package builds in mock (development, x86_64).
X rpmlint is silent.
* noarch package, so no debuginfo.
* final provides and requires are sane:
   perl(POE::Component::Child) = 1.39
   perl-POE-Component-Child = 1.39-0.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Cwd)
   perl(POE) >= 0.29
   perl(strict)
   perl(vars)
   perl(warnings)
* %check is present and all tests pass:
   ok 19 - all tests successful
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 4 Ralf Corsepius 2006-07-08 00:43:13 EDT
package is noarch

=>   OPTIMIZE="%{optflags}"
is unused/superfluous.

=>  This find also is very likely unnecessary:
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
Comment 5 Chris Weyl 2006-07-08 18:52:42 EDT
Updated to deal with licensing and version issues.

Spec URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Child.spec
SRPM URL:
http://home.comcast.net/~ckweyl/perl-POE-Component-Child-1.39-0.fc5.src.rpm
Comment 6 Chris Weyl 2006-07-08 18:53:05 EDT
Updated to deal with licensing and version issues.

Spec URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Child.spec
SRPM URL:
http://home.comcast.net/~ckweyl/perl-POE-Component-Child-1.39-0.1.fc5.src.rpm
Comment 7 Jason Tibbitts 2006-07-08 20:03:02 EDT
The license is now correct.
The version in the changelog entry is now sensible.

The two issues I had are fixed.  The issues Ralf pointed out are not.  I don't
see them as blockers, but I do recommend that you address them as needless cruft
in specfiles should always be cleaned up.
Comment 8 Jason Tibbitts 2006-07-08 20:04:12 EDT
I neglected to add:

APPROVED
Comment 9 Chris Weyl 2006-07-09 15:03:33 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-4, FC-5)
+Close bug

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.